package com.junmp.jyzb.service;

import com.junmp.jyzb.api.bean.req.DestoryUnitReq;
import com.junmp.jyzb.entity.DestoryUnit;
import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;

/**
* @author lxh专属坐骑
* @description 针对表【base_destory_unit(报废收物单位表)】的数据库操作Service
* @createDate 2023-10-16 09:35:03
*/
public interface DestoryUnitService extends IService<DestoryUnit> {

    String addDestoryUnit(DestoryUnitReq req);

    boolean updateDestoryUnit(DestoryUnitReq req);

    List<DestoryUnit> showDestoryUnitList(DestoryUnitReq req);

    PageResult<DestoryUnit> showDestoryUnitPage(DestoryUnitReq req);

    boolean delDestoryUnit(DestoryUnitReq req);
}
